#This is a spec file for Klook

Summary:	MacBook automatic light sensor daemon
Name:		lightum
Version:	2.3.1
Release:	1%{?dist}
License:	GPL v.3
Group:		Graphical desktop/Desktop
Source:		%{name}-%{version}.tar.gz
BuildRequires:	dbus-glib-devel	>= 0.90
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	pkgconfig
BuildRequires:	dbus-devel
BuildRequires:	libXScrnSaver-devel
BuildRequires:	gcc

%description
Lightum is a daemon to control the keyboard brightness and screen backlight on MacBook based laptops.

By default it will run in "auto" mode, this means it will read data from the ambient light sensor (located on the iSight camera) and automatically:

light up or dim the keyboard brightness
light up or dim the the video backlight
It will also dim the keyboard brightness and screen backlight when the computer is not used for a configurable amount of seconds.

If you choose to run it in "manual" mode, it will not query the ambient light sensor, but instead it will use the brightness and backlight values you set manually using the function keys.

%prep
%setup -c


%build
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install


%files
%{_bindir}/*
%{_mandir}/man1/*
/etc/xdg/autostart/lightum.desktop
/usr/share/doc/lightum/LICENSE
/usr/share/doc/lightum/README

%changelog
* Wed Feb 13 2013 Johnny Brinsko <tripgod@fuduntu.org> - 2.3.1-1
- Built for Fuduntu

